Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/CreateNewTabPage.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/CreateNewTabPage.cs	(revision 300)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/CreateNewTabPage.cs	(revision 301)
@@ -868,6 +868,21 @@
                 NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.LedgerLine].Visible = false;
                 NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.LedgerLine].Width = 5;
 
+                // 予算書金額
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.BudgetValue].HeaderText = "予算書金額";
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.BudgetValue].Name = string.Format("Group1TextBoxColumnBudgetValue{0}", PageCount);
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.BudgetValue].Visible = false;
+
+                // 前回入力値
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.PreviousValue].HeaderText = "前回入力値";
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.PreviousValue].Name = string.Format("Group1TextBoxColumnPreviousValue{0}", PageCount);
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.PreviousValue].Visible = false;
+                
+                // 計算対象フラグ
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.DataType].HeaderText = "計算対象フラグ";
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.DataType].Name = string.Format("Group1TextBoxColumnDataTypeFlag{0}", PageCount);
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.DataType].Visible = false;
+
                 // DafaultCellStyle
                 NewPage.Group1CellDefaultStyle.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
                 NewPage.Group1CellDefaultStyle.BackColor = System.Drawing.SystemColors.Control;
@@ -899,7 +914,10 @@
                 NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.UnitPrice],
                 NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.PriceValue],
                 NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.SourceCode],
-                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.LedgerLine]});
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.LedgerLine],
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.BudgetValue],
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.PreviousValue],
+                NewPage.Group1TextBoxColumn[(int)DispDetailGridColumn.DataType]});
                 wrkGrid.Location = new System.Drawing.Point(8, 20);
                 wrkGrid.Name = string.Format("dgvAllDisplay{0}", PageCount);
                 wrkGrid.RowHeadersVisible = false;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 300)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmOrderEntryListAuxiliary.cs	(revision 301)
@@ -207,6 +207,7 @@
                 strSQL.AppendFormat(" AND A.GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
                 strSQL.Append(" AND A.COMPANYCODE > 0");
                 strSQL.AppendFormat(" AND A.COMPANYTYPE <> {0}", (int)CommonDefine.CodeDataType.Person);
+                strSQL.AppendFormat(" AND A.PurchaseOrderFlg > {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.ChangeOld);
 
                 strSQL.AppendFormat(" AND ((ConstrType.PublicFlg != {0}", (int)ConstructionTypeMaster.ConstructionTypeDef.Community);
                 strSQL.Append("       AND (A.SOURCECODE, A.COMPANYCODE) IN (SELECT SUMTBL.SOURCECODE, SUMTBL.COMPANYCODE");
@@ -230,6 +231,8 @@
 
                 strSQL.Append(" AND NOT EXISTS (SELECT * FROM purchaseorderdetail AS C, purchaseorder AS D");
                 strSQL.Append(" WHERE C.ConstructionCode = A.SourceCode");
+                strSQL.Append(" AND C.SourceLineCnt = A.LineCount");
+                strSQL.AppendFormat(" And C.GroupCount = {0}", (int)PurchaseOrderDetail.GroupCountDef.Detail);
                 strSQL.Append(" AND D.ConstructionCode = C.ConstructionCode");
                 strSQL.Append(" AND D.SeqNo = C.SeqNo");
                 strSQL.Append(" AND D.CompanyCode = A.CompanyCode");
@@ -241,7 +244,7 @@
                 strSQL.Append(", A.FIRSTSTRING");
                 strSQL.Append(", A.SECONDSTRING");
                 strSQL.Append(", A.COMPANYCODE AS COMPANYCODE");
-                strSQL.Append(", A.COMPANYNAME");
+                strSQL.Append(", H.COMPANYNAME");
 
                 strSQL.Append(", Case ifnull(F.OrderPrice, 0)");
 	            strSQL.Append(" When 0 Then A.EXECUTIONAMOUNT");
@@ -276,6 +279,8 @@
                 strSQL.Append(" LEFT JOIN PROCESSAPPROVALDETAIL G ON G.CONSTRUCTIONCODE = E.CONSTRUCTIONCODE");
                 strSQL.AppendFormat(" AND G.APPROVALCODE = {0} AND G.LINKCODE = E.SEQNO", (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
 
+                strSQL.Append(" LEFT JOIN subcontractormaster H ON H.CompanyCode = F.CompanyCode");
+
                 strSQL.Append(" LEFT JOIN PROCESSAPPROVAL C ON C.CONSTRUCTIONCODE = G.CONSTRUCTIONCODE");
                 strSQL.AppendFormat(" AND C.APPROVALCODE = {0}", (int)ClsExcute.ApprovalListNo.PurchaseOrderEntryApproval);
                 strSQL.Append(" AND C.ORDERNO = G.ORDERNO AND C.SEQNO = 1");
@@ -724,6 +729,8 @@
 
                 int TargetCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
 
+                DetailDB.connect(); DetailDB.beginTran();
+
                 StringBuilder strUpdate = new StringBuilder();
                 // まず作成対象外を元にもどす
                 if (strDispAllData.ToString().Length > 0)
@@ -734,7 +741,7 @@
                     strUpdate.AppendFormat(" AND PURCHASEORDERFLG = {0}", (int)ConstructionLedgerDetail.PurOrderFlgDef.NotMakingData);
                     strUpdate.AppendFormat(" AND LINECOUNT IN ({0})", strDispAllData.ToString());
 
-                    DetailDB.ExecuteNonQuery(strUpdate.ToString());
+                    DetailDB.ExecuteNonQuery(strUpdate.ToString(), false);
                 }
 
                 // 次に作成対象外に設定されたものを更新する
@@ -746,8 +753,12 @@
                     strUpdate.AppendFormat(" AND GROUPCOUNT = {0}", (int)FrmConstructionLedger.DataGroup.ConstructionCosts);
                     strUpdate.AppendFormat(" AND LINECOUNT IN ({0})", strNotMake.ToString());
 
-                    DetailDB.ExecuteNonQuery(strUpdate.ToString());
+                    if (!DetailDB.ExecuteNonQuery(strUpdate.ToString(), false))
+                    {
+                        DetailDB.rollback();
+                    }
                 }
+                DetailDB.commit();
             }
             catch (Exception ex)
             {
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 300)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 301)
@@ -148,6 +148,9 @@
             this.Column8 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column11 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column12 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.ColDataFlg = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.label15 = new System.Windows.Forms.Label();
             this.TabCollections = new System.Windows.Forms.TabControl();
             this.btnOtherProc = new System.Windows.Forms.Button();
@@ -255,9 +258,9 @@
             this.lblFixComment.ForeColor = System.Drawing.Color.Red;
             this.lblFixComment.Location = new System.Drawing.Point(820, 88);
             this.lblFixComment.Name = "lblFixComment";
-            this.lblFixComment.Size = new System.Drawing.Size(452, 16);
+            this.lblFixComment.Size = new System.Drawing.Size(435, 16);
             this.lblFixComment.TabIndex = 98;
-            this.lblFixComment.Text = "※金額変更時の法定福利費は8.0%で手計算してください。";
+            this.lblFixComment.Text = "※金額変更時の法定福利費は8.0%で自動計算されます。";
             this.lblFixComment.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
             // 
             // lblLabel01
@@ -1413,7 +1416,10 @@
             this.Column7,
             this.Column8,
             this.Column11,
-            this.Column12});
+            this.Column12,
+            this.Column1,
+            this.Column2,
+            this.ColDataFlg});
             this.dgvAllDisplay.EnableHeadersVisualStyles = false;
             this.dgvAllDisplay.Location = new System.Drawing.Point(8, 20);
             this.dgvAllDisplay.Name = "dgvAllDisplay";
@@ -1533,6 +1539,24 @@
             this.Column12.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column12.Width = 150;
             // 
+            // Column1
+            // 
+            this.Column1.HeaderText = "予算書金額";
+            this.Column1.Name = "Column1";
+            this.Column1.Visible = false;
+            // 
+            // Column2
+            // 
+            this.Column2.HeaderText = "前回入力値";
+            this.Column2.Name = "Column2";
+            this.Column2.Visible = false;
+            // 
+            // ColDataFlg
+            // 
+            this.ColDataFlg.HeaderText = "計算対象フラグ";
+            this.ColDataFlg.Name = "ColDataFlg";
+            this.ColDataFlg.Visible = false;
+            // 
             // label15
             // 
             this.label15.BackColor = System.Drawing.Color.Cyan;
@@ -1753,6 +1777,7 @@
         private System.Windows.Forms.ComboBox comboBox2;
         private System.Windows.Forms.Button btnPageDelete;
         private System.Windows.Forms.Button btnChangeCompany;
+        private System.Windows.Forms.Label lblFixComment;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column14;
@@ -1763,6 +1788,8 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column8;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column11;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column12;
-        private System.Windows.Forms.Label lblFixComment;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn ColDataFlg;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 300)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 301)
@@ -91,6 +91,18 @@
             /// 工事台帳行
             /// </summary>
             LedgerLine,
+            /// <summary>
+            /// 予算書金額
+            /// </summary>
+            BudgetValue,
+            /// <summary>
+            /// 前回入力値
+            /// </summary>
+            PreviousValue,
+            /// <summary>
+            /// データタイプフラグ
+            /// </summary>
+            DataType,
         }
         #endregion
 
@@ -476,6 +488,15 @@
         /// </summary>
         private List<KeyValuePair<int, int>> m_ChangeCompany = new List<KeyValuePair<int, int>>();
 
+        /// <summary>
+        /// 法定福利費
+        /// </summary>
+        double m_dRate = (CommonMotions.SystemMasterData.StatutoryWelfareRate / 100);
+
+        /// <summary>
+        /// 承認済みロックフラグ
+        /// </summary>
+        bool m_bApprovalLock = false;
         #endregion
 
         #region プロパティ
@@ -951,9 +972,11 @@
         }
         #endregion
 
-        // 編集前値
+        // 明細グリッド編集前値
         int m_BeforeDetailColumnCount = -1;
         int m_BeforeDetailRowCount = -1;
+        object m_objInData = new object();
+        bool m_InDataChange = false;
         #region セル入力前処理
         /// <summary>
         /// 明細グリッドIMEのコントロール
@@ -998,6 +1021,18 @@
                 m_BeforeDetailColumnCount = e.ColumnIndex;
                 m_BeforeDetailRowCount = e.RowIndex;
 
+                // 現在入力値取得
+                switch (e.ColumnIndex)
+                {
+                    case (int)DispDetailGridColumn.Quantity:            // 数量
+                    case (int)DispDetailGridColumn.UnitPrice:           // 単価
+                    case (int)DispDetailGridColumn.PriceValue:          // 金額
+                        m_objInData = dgv[e.ColumnIndex, e.RowIndex].Value;
+                        break;
+                    default:
+                        break;
+                }
+                m_InDataChange = false;
             }
             catch (Exception ex)
             {
@@ -1016,10 +1051,15 @@
         {
             try
             {
+                // 承認済みは処理しない
+                if (m_bApprovalLock) return;
+                // 値に変化が無ければ処理しない
+                if (!m_InDataChange) return;
+
                 DataGridView dgv = (DataGridView)sender;
 
                 // 明細グリッド行計算処理
-                CalculateDetailGridRow(dgv);
+                if (!CalculateDetailGridRow(dgv)) return;
 
                 // 明細グリッド合計計算処理
                 CalculateDetailGridTotal(dgv);
@@ -1236,14 +1276,29 @@
         private void dgvAllDisplay_CellValueChanged(object sender, DataGridViewCellEventArgs e)
         {
             // 入力があった位置以外はフラグを立てない
-            if (m_BeforeDetailColumnCount == e.ColumnIndex && m_BeforeDetailRowCount == e.RowIndex)
+            if (m_BeforeDetailColumnCount != e.ColumnIndex || m_BeforeDetailRowCount != e.RowIndex)
+                return;
+
+            DataGridView dgv = (DataGridView)sender;
+
+            // 現在入力値取得
+            switch (e.ColumnIndex)
             {
-                m_bChengeAns = true;
+                case (int)DispDetailGridColumn.Quantity:            // 数量
+                case (int)DispDetailGridColumn.UnitPrice:           // 単価
+                case (int)DispDetailGridColumn.PriceValue:          // 金額
+                    if (m_objInData == dgv[e.ColumnIndex, e.RowIndex].Value) return;
+                    break;
+                default:
+                    break;
             }
+
+            m_bChengeAns = true;
+            m_InDataChange = true;
         }
         #endregion
 
-        // 編集前値
+        // 条件グリッド編集前値
         int m_BeforeTermsColumnCount = -1;
         int m_BeforeTermsRowCount = -1;
         #region 条件グリッドIMEのコントロール
